Subject: Re: [Tools-discuss] I-D submission tool

From: Paul Hoffman <[email-masked]>
Date: Thu, 19 Sep 2013 11:59:25 -0700

On Jul 2, 2013, at 10:54 AM, Henrik Levkowetz <[email-masked]> wrote:

> Hi Adrian,
> 
> On 2013-07-02 19:21 Adrian Farrel said the following:
>> Hello tools people,
>> 
>> Is there a filter on who can post a new revision of an I-D?
> 
> Yes.
> 
>> Can an AD post an I-D without being an author?
> 
> Anybody can upload a draft, but (for non-00 drafts) only the authors
> of the previous version (and the wg chairs for wg documents) will get
> the verification emails, and be able to confirm the posting.
> 
> The spec (RFC 4228) says the following, but the /c group of requirements
> have not been uniformly implemented:
> 
>   The following possible expected submitters are identified by the
>   Toolset, without any Secretariat intervention:
> 
>      For version 00 of a draft, any submitter (R119/a).
>      For version N+1 of a draft, an author of version N of the same
>      draft (R120/a).  This requirement only needs to be satisfied for
>      drafts for which Nth version was posted using the Toolset; other
>      drafts may not have the meta-information available that is
>      required to reliably get a list of authors.
>      For a WGN draft, a Chair of the corresponding WG (R121/b).
>      For any draft, an IESG member (R122/c).
> 
>> Can a new author add herself to an I-D and post a new revision?
> 
> She can upload, but one of the current authors will have to confirm the
> posting.  The secretariat can always expedite a new posting, however.
> 
> There's a recent bug filed on the fact that when somebody tries to
> add themselves and post, there's no message about the confirmation emails
> only going to the authors of the previous version -- there should be,
> and I'll try to get that addressed during next week.

That does not seem to be addressed yet, according to the new author of a WG draft that was attempted to be submitted yesterday.

I wish I had remembered that the chair could submit the new draft; we are now stuck waiting for the Secretariat to free it. I propose that the message that goes out to the new editor, if it is a WG draft, say "If you want, you can cancel this draft and ask your WG Chair to submit it".

--Paul Hoffman